Subject: bug#46521: 27.1; emacs -nw openwith package ; external gui programs; window focus

From: Matt Armstrong <[email-masked]>
Date: Sun, 14 Feb 2021 21:35:12 -0800

William, this strikes me as a window manager bug.  Focus policy is the
job of the window manager.  GUI applications can have some influence
over focus, but Emacs does not play very many games with this, and also
the behavior you describe is very unlikely to have any role in this
scenario. Because you have run it with the -nw argument, the window
manager would be delivering focus to the terminal, not emacs.

You have already filed https://github.com/mate-desktop/marco/issues/647,
which is where I belive the issue lies.

Please feel free to come back with specific details if indeed the issue
seems to be in Emacs.  To be useful we'll need to know how Emacs is
violating window manager policies, etc.  The Marco developers shoudl be
able to describe them.